---
language: "en"
tags:
- sentiment
- emotion
- twitter

widget:
- text: "Oh wow. I didn't know that."
- text: "This movie always makes me cry.."

---

## Description

With this model, you can classify emotions in English text data. The model was trained on diverse datasets and predicts 7 emotions:

1) anger
2) disgust
3) fear
4) joy
5) neutral
6) sadness
7) surprise

The model is a fine-tuned checkpoint of DistilRoBERTa-base.

## Application

a) Run emotion model with 3 lines of code on single text example using Hugging Face's pipeline command on Google Colab:

[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/j-hartmann/emotion-english-distilroberta-base/blob/main/simple_emotion_pipeline.ipynb)

b) Run emotion model on multiple examples and full datasets (e.g., .csv files) on Google Colab:

[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/j-hartmann/emotion-english-distilroberta-base/blob/main/emotion_prediction_example.ipynb)

## Contact

Please reach out to jochen.hartmann@uni-hamburg.de if you have any questions or feedback.

Thanks to Samuel Domdey and chrsiebert for their support in making this model available.

## Appendix

Please find an overview of the datasets used for training below:

|Name|anger|disgust|fear|joy|neutral|sadness|surprise|
|---|---|---|---|---|---|---|---|
|Crowdflower (2016)|Yes|No|No|Yes|Yes|Yes|Yes|
|Emotion Dataset, Elvis et al. (2018)|Yes|Yes|Yes|Yes|No|Yes|Yes|
|MELD, Poria et al. (2019)|Yes|Yes|Yes|Yes|Yes|Yes|Yes|
|SemEval-18|Yes|No|Yes|Yes|No|Yes|No|
|ISEAR, Vikash (2018)|Yes|Yes|Yes|Yes|No|Yes|No|